Subject: bug#53805: 27.2; NonGNU ELPA: helm does not install dependencies

From: Stefan Monnier <[email-masked]>
Date: Sat, 05 Feb 2022 17:16:11 -0500

> It seems to me that the core of the issue is that the ELPA build system
> overrides the existing -pkg.el files, by trying to infer all the package
> metadata from the main files (helm.el, helm-core.el).  If as in the case
> of helm and helm-core these are empty, this leads to unexpected results.

The best course of action is to fix the upstream.
They simply shouldn't have any `<foo>-pkg.el` file.

We will generate the `<foo>-pkg.el` in any case because we include more
information there than what the upstream will have put (e.g. we include
the commit id from which the tarball is built), and and modifying files
that are under version control tends to lead to problems.

        Stefan